From d13b12f12e1b07bd31e524d5041a891bf821b1af Mon Sep 17 00:00:00 2001
From: Dong Wook Lee <sh95119@gmail.com>
Date: Thu, 11 Jun 2020 13:45:02 +0900
Subject: [PATCH] Add tap test for --extra-float-digits option

I added this test for --extra-float-digits option
When an invalid range value is entered
---
 src/bin/pg_dump/t/001_basic.pl | 8 +++++++-
 1 file changed, 7 insertions(+), 1 deletion(-)

diff --git a/src/bin/pg_dump/t/001_basic.pl b/src/bin/pg_dump/t/001_basic.pl
index 550eab1ee3..b945e098d1 100644
--- a/src/bin/pg_dump/t/001_basic.pl
+++ b/src/bin/pg_dump/t/001_basic.pl
@@ -4,7 +4,7 @@ use warnings;
 use Config;
 use PostgresNode;
 use TestLib;
-use Test::More tests => 78;
+use Test::More tests => 80;
 
 my $tempdir       = TestLib::tempdir;
 my $tempdir_short = TestLib::tempdir_short;
@@ -175,3 +175,9 @@ command_fails_like(
 	qr/\Qpg_dumpall: error: option --exclude-database cannot be used together with -g\/--globals-only\E/,
 	'pg_dumpall: option --exclude-database cannot be used together with -g/--globals-only'
 );
+
+command_fails_like(
+       [ 'pg_dump', '--extra-float-digits', '4' ],
+       qr/\Qpg_dump: error: extra_float_digits must be in range -15..3\E/,
+       'pg_dump: extra_float_digits must be in range -15..3'
+);
-- 
2.24.3 (Apple Git-128)

